/*
 * MDCOM Multi Domain Communications Driver for Linux
 *
 * Copyright (C) Nagoya University
 * Daniel Sangorrin <daniel.sangorrin@gmail.com>
 * Shinya Honda     <honda@ertl.jp>  
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *  @(#) $Id: mdcom_target.h 897 2017-05-24 07:30:19Z ertl-honda $
 */
#ifndef MDCOM_TARGET_H
#define MDCOM_TARGET_H

#include <stdbool.h>   /* bool type (for filter function) */
#include <stdint.h>    /* uint32_t */

#define MDCOM_TYPE_API  MDCOM_TYPE_API_POSIX
#define MDCOM_TYPE_OS   MDCOM_TYPE_OS_LINUX
#define MDCOM_TYPE_EMV  MDCOM_TYPE_EMV_AMP
#define MDCOM_TYPE_ROLL MDCOM_TYPE_ROLL_REMOTE
#define MDCOM_DOMAIN_NAME    "CA53"
#define MDCOM_TARGET_CA53

#include "../mdcom_target_common.h"

#endif /* MDCOM_TYPES */
