/*
 * MDCOM Multi Domain Communications Remote application
 *
 * $Id$
 */

#ifndef _TMOUT_TEST_H_
#define _TMOUT_TEST_H_

/* リモート制御用コマンドパケット */
typedef struct
{
	volatile uint32_t	cmd;
	volatile uint32_t	param[5];
	volatile uint32_t	resp;
	volatile uint32_t	data[5];
} TESTCMD;

/* リモート制御用コマンド */
#define	TESTCMD_READY				0x12345678
#define	TESTCMD_NONE				0xFFFFFFFF
#define TESTCMD_REQ_APP_RESTART		0
#define TESTCMD_REQ_APP_EXIT		1
#define TESTCMD_REQ_NOTIFY			2

/* リモート制御用コマンド レスポンス */
#define	TESTRESP_READY				0xFEDCBA09
#define	TESTRESP_NONE				0xFFFFFFFF
#define	TESTRESP_SUCCESS			0
#define	TESTRESP_MDCOM_FAILED		1

#endif  /* _TMOUT_TEST_H_ */
