/*
 *  @(#) $Id: mdcom_target.h 1006 2019-01-31 14:34:27Z ertl-honda $
 */
#ifndef MDCOM_TARGET_H
#define MDCOM_TARGET_H

#include <stdbool.h>   /* bool type (for filter function) */
#include <stdint.h>    /* uint32_t */

#define MDCOM_TYPE_API  MDCOM_TYPE_API_POSIX
#define MDCOM_TYPE_OS   MDCOM_TYPE_OS_LINUX
#define MDCOM_TYPE_EMV  MDCOM_TYPE_EMV_AMP
#define MDCOM_TYPE_ROLL MDCOM_TYPE_ROLL_REMOTE
#define MDCOM_DOMAIN_NAME    "LINUX(CA53)"
#define MDCOM_TARGET_CA53

#include "../mdcom_target_common.h"

#define MDCOM_USE_LINUX_MUTEXDRIVER
#define MDCOM_LINUX_MUTEXDRIVER_ID  MDCOM_MUTEX_SEMA4_ID

#endif /* MDCOM_TYPES */
